package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class DtmfRules {
    private boolean detectDtmf;
    private boolean clearDigits;
    private String terminationCharacters;
    private boolean stripTerminator;
    private long interDigitTimeoutMilliseconds;
    private long maxDigits;

    @JsonProperty("detectDtmf")
    public boolean getDetectDtmf() { return detectDtmf; }
    @JsonProperty("detectDtmf")
    public void setDetectDtmf(boolean value) { this.detectDtmf = value; }

    @JsonProperty("clearDigits")
    public boolean getClearDigits() { return clearDigits; }
    @JsonProperty("clearDigits")
    public void setClearDigits(boolean value) { this.clearDigits = value; }

    @JsonProperty("terminationCharacters")
    public String getTerminationCharacters() { return terminationCharacters; }
    @JsonProperty("terminationCharacters")
    public void setTerminationCharacters(String value) { this.terminationCharacters = value; }

    @JsonProperty("stripTerminator")
    public boolean getStripTerminator() { return stripTerminator; }
    @JsonProperty("stripTerminator")
    public void setStripTerminator(boolean value) { this.stripTerminator = value; }

    @JsonProperty("interDigitTimeoutMilliseconds")
    public long getInterDigitTimeoutMilliseconds() { return interDigitTimeoutMilliseconds; }
    @JsonProperty("interDigitTimeoutMilliseconds")
    public void setInterDigitTimeoutMilliseconds(long value) { this.interDigitTimeoutMilliseconds = value; }

    @JsonProperty("maxDigits")
    public long getMaxDigits() { return maxDigits; }
    @JsonProperty("maxDigits")
    public void setMaxDigits(long value) { this.maxDigits = value; }
}
